Author: mladen.turk(a)jboss.com
Date: 2008-03-25 06:06:39 -0400 (Tue, 25 Mar 2008)
New Revision: 1455
Added:
trunk/build/unix/util/applypatch.sh
Modified:
trunk/build/unix/buildsrc.jboss-native.sh
trunk/build/unix/package.list
Log:
Add patch and patch logic for native component
Modified: trunk/build/unix/buildsrc.jboss-native.sh
===================================================================
--- trunk/build/unix/buildsrc.jboss-native.sh 2008-03-25 08:10:18 UTC (rev 1454)
+++ trunk/build/unix/buildsrc.jboss-native.sh 2008-03-25 10:06:39 UTC (rev 1455)
@@ -52,6 +52,9 @@
exit 1
fi
+# Apply patches
+$build_top/util/applypatch.sh $build_top
${native_dist}/srclib/tomcat-native-${native_ext} false
+
# Generate configure.
apr_sources=${native_dist}/srclib/`ls ${native_dist}/srclib | grep apr-1`
if $BUILD_WIN ; then
Modified: trunk/build/unix/package.list
===================================================================
--- trunk/build/unix/package.list 2008-03-25 08:10:18 UTC (rev 1454)
+++ trunk/build/unix/package.list 2008-03-25 10:06:39 UTC (rev 1455)
@@ -4,6 +4,7 @@
jboss-native|2.0.2|TOMCAT_NATIVE_1_1_11|apr:v:1.2.9|apu:v:1.2.8|api:v:1.2.1|ssl:v:0.9.8e|zlib:v:1.2.3
jboss-native|2.0.3|TOMCAT_NATIVE_1_1_12|apr:v:1.2.8|apu:v:1.2.8|api:v:1.2.1|ssl:v:0.9.8e|zlib:v:1.2.3
jboss-native|2.0.4-dev|trunk|apr:v:1.2.8|apu:v:1.2.8|api:v:1.2.1|ssl:v:0.9.8e|zlib:v:1.2.3
+jboss-native|2.0.4|TOMCAT_NATIVE_1_1_13|apr:v:1.2.8|apu:v:1.2.8|api:v:1.2.1|ssl:v:0.9.8e|zlib:v:1.2.3
# SIGHT
jboss-sight|1.0.0|trunk|apr:v:1.2.9|apu:v:1.2.8|api:v:1.2.1
jboss-sight|1.0.1|trunk|apr:v:1.2.8|apu:v:1.2.8|api:v:1.2.1
Added: trunk/build/unix/util/applypatch.sh
===================================================================
--- trunk/build/unix/util/applypatch.sh (rev 0)
+++ trunk/build/unix/util/applypatch.sh 2008-03-25 10:06:39 UTC (rev 1455)
@@ -0,0 +1,70 @@
+!/bin/sh
+# Copyright(c) 2007 Red Hat Middleware, LLC,
+# and individual contributors as indicated by the @authors tag.
+# See the copyright.txt in the distribution for a
+# full listing of individual contributors.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library in the file COPYING.LIB;
+# if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# @author Jean-Frederic Clere
+# @author Mladen Turk
+#
+
+if $xb_verbose; then
+ echo ""
+ echo "Running `basename $0` $LastChangedDate: 2008-03-19 09:23:13 +0100 (Wed, 19
Mar 2008) $"
+ echo ""
+ echo "Started : `date`"
+ echo "Params : $@"
+ echo ""
+fi
+
+# Apply patch for the component
+# $1 directory of the component like apr-1.2.8
+# $2 also apply the rhel patches.
+#
+# TODO: rename $patch to $XB_PATCH
+#
+xb_applypatch()
+{
+ basefilename=`basename $xbap_package_dir`
+ if [ -f $xbap_build_top/../patch/$basefilename.patch ]; then
+ (cd $xbap_package_dir
+ echo "Applying patch $ap_build_top/../patch/$basefilename.patch in
$xbap_package_dir"
+ $patch -tf -p0 -i $xbap_build_top/../patch/$basefilename.patch
+ ) || return 1
+ fi
+ if $xbap_is_rhel; then
+ if [ -f $xbap_build_top/../patch/$basefilename.rhel.patch ]; then
+ (cd $xbap_package_dir
+ echo "Applying rhel patch $ap_build_top/../patch/$basefilename.rhel.patch in
$xbap_package_dir"
+ $patch -tf -p0 -i $xbap_build_top/../patch/$basefilename.rhel.patch
+ ) || return 1
+ fi
+ fi
+}
+
+# Apply patch for the component
+# $1 Build top. Where we start the build.sh
+# $2 Component directory like apr-1.2.8
+# $3 Also apply the rhel patches.
+
+xbap_build_top=$1
+xbap_package_dir=$2
+xbsp_is_rhel=$3
+
+# Call the internal functions.
+xb_applypatch
Property changes on: trunk/build/unix/util/applypatch.sh
___________________________________________________________________
Name: svn:executable
+ *
Name: svn:eol-style
+ LF
Show replies by date